
TYPO3.Neos - Bug # 53448

Status: Resolved Priority: Should have
Author: Bastian Waidelich Category:
Created: 2013-11-08 Assigned To: Bastian Waidelich
Updated: 2013-12-04 Due date:
Subject: Outgoing routes are not cached
Description

URIs to nodes can't be cached because they contain an argument of type NodeInterface which can't be serialized by the UriBuilder.

Associated revisions
Revision 18e871fa - 2013-12-02 17:46 - Bastian Waidelich

[BUGFIX] Cache outgoing routes

URIs to nodes are not cached currently because they contain an
argument of type NodeInterface that can't be serialized by the
UriBuilder.

This change adjust the FrontendNodeRoutePartHandler as well as the
node ViewHelpers to work with strings rather than Node instances.

Change-Id: I5d1b1d0eaadec3cd1af3e174dfaf7cc3faff1fbd
Fixes: #53448
Reviewed-on: https://review.typo3.org/25216
Reviewed-by: Sebastian Kurfuerst
Tested-by: Sebastian Kurfuerst
Reviewed-by: Bastian Waidelich
Tested-by: Bastian Waidelich

History
#1 - 2013-11-08 15:17 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master of project Packages/TYPO3.Neos has been pushed to the review server.
It is available at https://review.typo3.org/25216

#2 - 2013-11-08 16:03 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.Neos has been pushed to the review server.
It is available at https://review.typo3.org/25216

#3 - 2013-11-11 14:10 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.Neos has been pushed to the review server.
It is available at https://review.typo3.org/25216
#4 - 2013-11-12 12:33 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.Neos has been pushed to the review server.
It is available at https://review.typo3.org/25216

#5 - 2013-11-12 15:46 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.Neos has been pushed to the review server.
It is available at https://review.typo3.org/25216

#6 - 2013-11-12 20:41 - Gerrit Code Review

Patch set 6 for branch master of project Packages/TYPO3.Neos has been pushed to the review server.
It is available at https://review.typo3.org/25216

#7 - 2013-11-13 14:02 - Gerrit Code Review

Patch set 7 for branch master of project Packages/TYPO3.Neos has been pushed to the review server.
It is available at https://review.typo3.org/25216

#8 - 2013-11-21 14:54 - Gerrit Code Review

Patch set 8 for branch master of project Packages/TYPO3.Neos has been pushed to the review server.
It is available at https://review.typo3.org/25216

#9 - 2013-12-02 17:45 - Gerrit Code Review

Patch set 9 for branch master of project Packages/TYPO3.Neos has been pushed to the review server.
It is available at https://review.typo3.org/25216

#10 - 2013-12-02 18:35 - Bastian Waidelich
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:18e871fa9f7898798f16899d6695c26329dce4db.

#11 - 2013-12-04 18:43 - Bastian Waidelich
- Target version set to 1.0 beta 2
